Bug 1718988 - [RFE] Content Views - support filtering Modules / App Streams
Summary: [RFE] Content Views - support filtering Modules / App Streams
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks: 1778118
TreeView+ depends on / blocked
 
Reported: 2019-06-10 17:11 UTC by Brad Buckingham
Modified: 2020-10-05 14:09 UTC (History)
12 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0-0.4.rc2,pulp-rpm-2.19.1
Doc Type: Enhancement
Doc Text:
You can now create content view filters based on AppStreams, and incrementally update a content view with AppStreams and its dependencies.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28037 Normal Closed Incremental errata dependencies not getting copied over for RHEL 8 2020-09-10 21:50:13 UTC
Pulp Redmine 4718 Normal CLOSED - CURRENTRELEASE Module integrity is not preserved at copy time 2019-06-24 16:21:14 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:59 UTC

Description Brad Buckingham 2019-06-10 17:11:32 UTC
Description of problem:

Applications Streams (Modules) were introduced in RHEL 8 and Satellite 6.5 provided capabilities, such as:
  - mirror them in a repository
  - publish them in content views
  - make them available to clients

This RFE is to enhance that functionality by allowing users to filter them in content views, similar to other content units (e.g. packages, errata).  For example, provide the ability to include or exclude specific Application Streams (Modules) in a published content view version.

Comment 3 Robin Chan 2019-06-24 15:53:11 UTC
Adding Pulp remine issues.

Comment 4 pulp-infra@redhat.com 2019-06-24 16:21:15 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2019-06-24 16:21:16 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-06-24 16:21:18 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2019-06-24 16:21:19 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 8 Robin Chan 2019-06-24 21:40:47 UTC
Moved Pulp #4693 to bz 1723590 since this is a bug fix.

Partha will add a foreman issue - this is not ready to go into a snap yet. The pulp feature code is complete & unblocking katello to do their part.

Comment 9 pulp-infra@redhat.com 2019-06-24 22:01:38 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 10 Justin Sherrill 2019-11-08 03:09:46 UTC
adding foreman issue

Comment 11 Lai 2020-02-06 21:24:40 UTC
Steps to test:

1.  Create and sync the following repos:
     - https://partha.fedorapeople.org/test-repos/separated/modules-rpms/
     - https://partha.fedorapeople.org/test-repos/separated/rpm-deps/
2. Add both repos to a CV
3. Create the following filters:
    a) Content Type: Module Stream, Inclusion Type: Include, walrus - 0.71
    b) Content Type: Packages, Inclusion Type: Exclude, *
4. Publish with depSolving=No
5. Publish with depsolving=Yes
6. Erase all filters.
7. Add filter: Content Type: Erratum - by ID, Inclusion Type: Exclude, WALRUS-2013:0002
8. Publish with depSolving=No
9. Run incremental update via hammer: hammer content-view version incremental-update --content-view-version-ids=<version-id> --errata-id=WALRUS-2013:0002

Step 4
Expected:
1 packages, 1 errata, 1 module streams

Actual:
1 packages, 1 errata, 1 module streams

Step 5:
Expected:
4 packages, 1 errata, 1 module stream (shark, stork, whale and walrus 0.71)

Actual:
4 packages, 1 errata, 1 module stream (shark, stork, whale and walrus 0.71)

Step 9:
Expected:
5 packages, 1 errata, 2 module streams

Actual:
5 packages, 1 errata, 2 module streams

Marking issue as verified.

Tested on 6.7.0_010

The filtering mechanism works as expected when filtering on module stream.

Comment 14 errata-xmlrpc 2020-04-14 13:24:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.